/* POPPINS FONT FAMILY */
@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Righteous&display=swap");

* {
  font-family: "Poppins", sans-serif;
}
body {
  font-size: 62.5%;
  margin:0;
}

header {
  background-color: rgb(38, 38, 243);
  display:grid;
  grid-template-columns: 2fr 3fr;
}
.logodiv{
  padding:24px;
  order:1;
}
header nav {
  display: flex;
  column-gap: 16px;
  color:white;
  font-size:1rem;
  justify-content: flex-end;
  padding:16px;
  order:2;
  
}
.nav-item-active {
  background-color: #eae7e7;
  color : #2626F3;
  border : 1px solid gray;
  padding : 2px 16px;
  text-align: center;
  height:35%;
}
.nav-item:last-child{
  margin-top:4px;
}
.header-text{
  padding:24px;
  order:3;
  color:white;
}
.header-text h2{
  font-size:2.4rem;
}
.header-text p {
  font-size:1rem;
}
.hero-img {
  order:4;
  position:relative;
}
.header-image {
  width:60%;
  position:absolute;
  top:-13%;
  right:0%;

}

.companies {
  display:flex;
  column-gap: 48px;
  /* margin-left: 240px; */
  padding: 12px 0;
  justify-content: flex-start;
  margin-left:48px;
  
}
.company-items{
 font-weight:bold;
  text-decoration: none;
  font-size:1.5rem;
  color:black;
  font-weight: bold;
  font-family: "Poppins";
}

/* API Section */

.api {
  margin: 48px 24px;
  font-weight:bold;

}
.api-heading {
  font-size:2rem;
  font-weight: bold;
}
.blog-heading {
  font-size:1.1rem;
  font-weight: bold;
}
.article-text{
  float:right;
  color : #2626F3;
  margin-right:32px;
  font-size:1.2rem;
  font-weight:bold;
  cursor:pointer;
}
.cards {
  display: flex;
  justify-content: space-between;
  font-size:1rem;
}
.card-head-active {
  color : #2626F3;
}
.blog-heading {
  margin : 0 24px;
  font-weight:bold;
}
.blog-cards {
  display: flex;
  /* margin : 0 24px; */
  column-gap: 16px;
  justify-content: center;
} 
.blog-card {
  display: grid;
  grid-template-columns: 1fr 1fr;
  /* column-gap: 24px; */
  position:relative;
  box-shadow: 17px 16px 22px -11px rgba(148,148,148,0.75);
  border-radius:8px;
  flex-basis: 47%;
}
.blog-image {
  grid-row: span 3;
  order : 1
  
}
.blog-content {
  order : 2;
  display: flex;
  flex-direction: column;
padding:24px;

}
.blog-bottom {
  order:3;
  
}
.blog-card-bottom-image {
  position:absolute;
  bottom:-7%;
  left:55%;
}
.blog-author {
  order:4;
}
.blog-author-text {
  position:absolute;
  bottom:3%;
  right : 20%;
  font-size:1rem;
}

.blog-content h6{
  color : blue;
  font-size: 1rem;
  margin:4px 0;
}
.blog-content small {
  width:100%;
}
.blog-content h3{
  font-size:1.2rem;
}

.blog-content p{
  font-size:1.2rem;
  line-height: 1.5;
}
/* Faq Section  */

.faq-section {
  display:flex;
 margin:48px 0;
  font-weight:bold;
  justify-content: space-around;
  background-color: rgb(230, 238, 247);
  padding : 0 24px;
}
.faq-content {
  flex-basis: 60%;
 
 
}
.faq-img {
  width: 100%;
  height:100%;
}
.faq-content h2 {
  font-weight:bold;
  font-size:2rem;
}
.faq-content h4 {
  font-weight:bold;
  font-size:1rem;
}

.faq-content .higlight{
  font-weight:900;
  font-size: 1.2rem;
  color: black;
}

.faq-content button {
  background-color : blue;
  padding : 8px 16px;
  color : white;
  border-radius: 4px;
  outline : none;
  border:none;
  margin-bottom:24px;
  font-size:1rem;
}

/* Download Section  */

.download-section {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* padding : 0 24px; */
  margin : 36px;
}

.download-content h1{
  font-weight:900;
  text-align: left;
}

.download-content span{
  font-weight: 400;
  color:rgb(41, 33, 33)
}
.download-email {
  position:relative;
  padding-right:136px;
}
.download-email input {
  padding : 8px 36px;
  background-color: rgb(211, 211, 252);
  border-radius : 24px;
  border:none;
  color:black;
}

.download-email input::placeholder { 
color:black;
}

.download-email button {
  padding : 8px 36px;
  background-color: rgb(41, 41, 252);
  border-radius : 24px;
  border:none;
  position:absolute;
  right:6%;
  color:white;
}

/* footer section  */

.footer-section {
  background-color: #2626F3;
  padding:24px;
  display: flex;
  justify-content: space-between;
  font-size:0.8rem;
}

.footer-left .list{
display: flex;
color:white;
list-style-type: none;
column-gap: 16px;
margin-left:0;
padding-left:0;
}

.footer-right .logos-list{
  display: flex;
  color:white;
  list-style-type: none;
  column-gap: 16px;
  margin-left:0;
  padding-left:0;
  }
  .footer-right-logos{
    display: flex;
    column-gap: 8px;
    justify-content: flex-end;
  }
  .footer-logos {
    width:32px;

  }
  .footer-logo{
    width:56px;
  }
  
  @media screen and (max-width:768px) {
    /* header {
      grid-template-columns: 1fr;
    } */
    header nav{
      display: flex;
      flex-direction: row;
      column-gap: 8px;
      color:white;
      font-size:0.6rem;
      justify-content: center;
      /* padding-right:24px; */
      padding-right:0px;
      margin-right:8px; 
      order:2;      
    }
    .nav-item-active {
    
      padding : 2px 8px;
      font-size:0.3rem;
      height:47%;
    }
 .hero-img {

  margin-left:8px;
 }
    .header-image {
      width:50%;
      position:absolute;
      top:0;
      right:10%;    
    }
    .logodiv{
      padding:16px;   
    }
    .logodiv img{
      width:80px;
    }
    .header-text {
      font-size:0.8rem;
      
      padding:16px;
    }
    .header-text h2 {
      font-size:1rem;
    }
    .companies {
      justify-content: center;
     
    }
    .company-items {
      font-size: 0.8rem; 
  }
  .api {
    margin:24px;
  }
  .api-heading {
    font-size:1rem;
    margin:16px 0;
    }
    .cards {
    flex-wrap: wrap;
    }
    .blog-heading h1{
      font-size:1.2rem;
    }
    .blog-cards {
 flex-direction: column;
 margin:0 24px;
 gap:32px;
    }

    .faq-section,.download-section,.footer-section {
    flex-direction: column;
    }
    .footer-right-logos {
      margin:16px;
      justify-content: flex-start;
  }
  }

  @media screen and (max-width:400px) {
    header{    
      padding:8px;
      grid-template-columns: 1fr;
    }
    .header-image {
      width: 50%;
      position: relative;
     margin-left:16px;
  }
  .companies {
    justify-content: center;
    margin-left:8px;
    column-gap:8px;
    font-size:0.3rem;
  }
  form {
    display:flex;
    flex-direction:column;
  }
  .download-email input {
    padding: 8px 16px;
    background-color: rgb(211, 211, 252);
    border-radius: 24px;
    border: none;
    color: black;
    font-size:0.5rem;
    width:100%;
    display:inline-block;
}
  .download-email button {
    padding: 8px 16px;
    background-color: rgb(41, 41, 252);
    border-radius: 24px;
    border: none;
    position: absolute;
    right: 20%;
    color: white;
    font-size:0.5rem;
}
  }

  @media screen and (min-width:768px) and (max-width:1200px) {
    .header-image {
      width: 50%;
   
     margin-top:24px;
    }
  }
